Skip to main content
PATCH
Error

Authorizations

Authorization
string
header
required

Bearer authentication. Send Authorization: Bearer .

Path Parameters

id
string
required

Group ID

Body

application/json

Group Update Input

GroupUpdateInput payload

contactEmail
string

Group's contact email. Use a pointer to distinguish "not sent" (nil) from "clear it" (pointer to "").

Example:

"updated@example.com"

displayName
string

Group's display name.

Example:

"Updated Group"

isEnabled
boolean

Whether the group is enabled.

Example:

true

Response

OK

GroupFullResponse payload

contactEmail
string
Example:

"admin@example.com"

createdAt
string
Example:

"2026-01-01T00:00:00.000Z"

id
string
Example:

"my-group"

isEnabled
boolean
Example:

true

isTopGroup
boolean
Example:

false

manager
string
Example:

"admin"

name
string
Example:

"My Group"

parentId
string
Example:

"parent-group"

type
string
Example:

"custom"

updatedAt
string
Example:

"2026-06-24T10:00:00.000Z"

users
string[]
Example: